"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamTabPanel = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const EvamTabContext_1 = require("./EvamTabContext");
const Typography_1 = __importDefault(require("@mui/material/Typography"));
const Box_1 = __importDefault(require("@mui/material/Box"));
const material_1 = require("@mui/material");
function getDirection(activeTabId, subTabId, previousActiveTabId) {
    let direction;
    if (activeTabId === subTabId) {
        // Completed animation, new panel comes in
        // If new value > previous, panel comes from right, so it goes left
        direction = (activeTabId > previousActiveTabId) ? "left" : "right";
    }
    else {
        // Initiate animation, old panel comes out
        // If new value > previous, panel exits on the left, so it goes right
        direction = (subTabId > previousActiveTabId) ? "right" : "left";
    }
    return direction;
}
/**
 * Tab panel component that contains the content associated with a tab
 */
function EvamTabPanel(props) {
    const { children, index, ...other } = props;
    return ((0, jsx_runtime_1.jsx)(EvamTabContext_1.EvamTabContext.Consumer, { children: context => (0, jsx_runtime_1.jsx)("div", { role: "tabpanel", hidden: context.activeTabId !== index, id: `simple-tabpanel-${index}`, "aria-labelledby": `simple-tab-${index}`, ...other, children: context.activeTabId === index && ((0, jsx_runtime_1.jsx)(Box_1.default, { sx: { p: 3 }, children: (0, jsx_runtime_1.jsx)(material_1.Slide, { direction: getDirection(context.activeTabId, context.subTabId, context.previousActiveTabId), in: context.subTabId === index, mountOnEnter: true, unmountOnExit: true, children: (0, jsx_runtime_1.jsx)(Typography_1.default, { children: children }) }) })) }) }));
}
exports.EvamTabPanel = EvamTabPanel;
//# sourceMappingURL=EvamTabPanel.js.map