"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EvamSearchInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const material_1 = require("@mui/material");
const react_router_dom_1 = require("react-router-dom");
const react_1 = require("react");
const useFocus = () => {
    const htmlElRef = (0, react_1.useRef)(null);
    const setFocus = () => {
        htmlElRef.current && htmlElRef.current.focus();
    };
    return [htmlElRef, setFocus];
};
/**
 * Input component for the Evam Search function
 * @param props component props
 * @constructor
 */
function EvamSearchInput(props) {
    const { searchTextHint, ...other } = props;
    (0, react_router_dom_1.useNavigate)();
    const [inputRef] = useFocus();
    const [params, setParams] = (0, react_router_dom_1.useSearchParams)();
    return ((0, jsx_runtime_1.jsx)(react_1.Fragment, { children: (0, jsx_runtime_1.jsx)(material_1.Input, { autoFocus: true, size: "medium", sx: { fontSize: 24, textDecoration: "none" }, ...other, ref: inputRef, placeholder: searchTextHint, fullWidth: true, value: params.get("searchText"), onChange: (e) => {
                setParams({
                    searchText: e.target.value
                });
            }, onKeyDown: (k) => {
                if (k.key === 'Enter') {
                    k.currentTarget.blur();
                    k.preventDefault();
                }
            } }) }));
}
exports.EvamSearchInput = EvamSearchInput;
//# sourceMappingURL=EvamSearchInput.js.map