"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.publish = exports.unsubscribe = exports.subscribe = void 0;
const subscribe = (eventName, listener) => {
    document.addEventListener(eventName, listener);
};
exports.subscribe = subscribe;
const unsubscribe = (eventName, listener) => {
    document.removeEventListener(eventName, listener);
};
exports.unsubscribe = unsubscribe;
const publish = (eventName, data) => {
    const event = new CustomEvent(eventName.toString(), { detail: data });
    document.dispatchEvent(event);
};
exports.publish = publish;
//# sourceMappingURL=EventHelpers.js.map