/**
 * {
 *
 *     "heading":"My notification",
 *
 *     "description":"Description",
 *
 *     "primaryButtonText":"Button 1",
 *
 *     "secondaryButtonText":"Button 2",
 *
 *     "notificationType":"QUICK_HUN", // CONCEALED_HUN, LIMITED_HUN, QUICK_HUN, LASTING_HUN, ACTION_HUN default: QUICK_HUN
 *
 * }
 */
import { NotificationType } from "./NotificationType";
declare class NotificationButton {
    label: string;
    callback: (() => any) | undefined;
    constructor(label: string, callback: (() => any) | undefined);
    static fromJSON(notificationButton: any): NotificationButton;
}
declare class Notification {
    heading: string;
    description: string;
    notificationType: NotificationType;
    primaryButton: NotificationButton;
    secondaryButton: NotificationButton | undefined;
    /**
     * Notification to appear in vehicle services
     * @param heading the main title of the notification
     * @param description extra detail regarding the notification
     * @param notificationType how the notification is displayed
     * @param primaryButton primary button label and optional callback
     * @param secondaryButton optional secondary button label and optional callback
     */
    constructor(heading: string, description: string, notificationType: NotificationType, primaryButton: NotificationButton, secondaryButton: NotificationButton | undefined);
    static fromJSON(notification: any): Notification;
}
export { Notification };
