"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SystemHealth = void 0;
class SystemHealth {
    /**
     * Health status of system
     * @param isHealthy boolean value represents whether system is healthy or not
     * @param message information message
     * @param timestamp time of information received
     */
    constructor(isHealthy, message, timestamp) {
        this.isHealthy = isHealthy;
        this.message = message;
        this.timestamp = timestamp;
    }
    /**
     * Create from JSON
     * @param systemHealth JSON object
     */
    static fromJSON(systemHealth) {
        if (systemHealth.isHealthy === undefined) {
            throw Error('isHealthy must be defined for SystemHealth');
        }
        return new SystemHealth(systemHealth.isHealthy, systemHealth.message, systemHealth.timestamp !== undefined ? new Date(systemHealth.timestamp) : undefined);
    }
}
exports.SystemHealth = SystemHealth;
//# sourceMappingURL=SystemHealth.js.map