"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TripLocationHistory = void 0;
class TripLocationHistory {
    /**
     * An array of locations represents the history of the trip
     * @param locationHistory location array
     * @param etaSeconds 'estimated time of arrival' in seconds
     */
    constructor(locationHistory, etaSeconds) {
        this.locationHistory = locationHistory;
        this.etaSeconds = etaSeconds;
    }
    /**
     * Create from JSON
     * @param tripLocationHistory JSON object
     */
    static fromJSON(tripLocationHistory) {
        if (tripLocationHistory.locationHistory === undefined) {
            throw Error('TripLocationHistory must define locationHistory');
        }
        return new TripLocationHistory(tripLocationHistory.locationHistory, tripLocationHistory.etaSeconds);
    }
}
exports.TripLocationHistory = TripLocationHistory;
//# sourceMappingURL=TripLocationHistory.js.map