import { Location } from "./Location";
import { VehicleStatus } from "./VehicleStatus";
declare class VehicleState {
    timestamp: Date;
    vehicleStatus: VehicleStatus | undefined;
    activeCaseFullId: string | undefined;
    vehicleLocation: Location | undefined;
    /**
     * State of the vehicle, location, status, id
     * @param timestamp timestamp of when state received
     * @param vehicleStatus status of the vehicle
     * @see VehicleStatus
     * @param activeCaseFullId id of the current active operation
     * @param vehicleLocation current vehicle location
     */
    constructor(timestamp: Date, vehicleStatus: VehicleStatus | undefined, activeCaseFullId: string | undefined, vehicleLocation: Location | undefined);
    /**
     * Create from JSON
     * @param vehicleState JSON object
     */
    static fromJSON(vehicleState: any): VehicleState;
}
export { VehicleState };
