"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VehicleState = void 0;
class VehicleState {
    /**
     * State of the vehicle, location, status, id
     * @param timestamp timestamp of when state received
     * @param vehicleStatus status of the vehicle
     * @see VehicleStatus
     * @param activeCaseFullId id of the current active operation
     * @param vehicleLocation current vehicle location
     */
    constructor(timestamp, vehicleStatus, activeCaseFullId, vehicleLocation) {
        this.timestamp = timestamp;
        this.vehicleStatus = vehicleStatus;
        this.activeCaseFullId = activeCaseFullId;
        this.vehicleLocation = vehicleLocation;
    }
    /**
     * Create from JSON
     * @param vehicleState JSON object
     */
    static fromJSON(vehicleState) {
        if (vehicleState.timestamp === undefined) {
            throw Error('Timestamp must be declared in VehicleState');
        }
        return new VehicleState(new Date(vehicleState.timestamp), vehicleState.vehicleStatus, vehicleState.activeCaseFullId, vehicleState.vehicleLocation);
    }
}
exports.VehicleState = VehicleState;
//# sourceMappingURL=VehicleState.js.map