"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const adbkit_1 = __importDefault(require("@devicefarmer/adbkit"));
const bluebird_1 = __importStar(require("bluebird"));
const fs_1 = __importDefault(require("fs"));
const glob_1 = __importDefault(require("glob"));
const client = adbkit_1.default.createClient();
/* istanbul ignore next */
const run = async () => {
    try {
        const devices = await client.listDevices();
        if (devices.length == 0) {
            console.error("You do not have any connected device!");
            return;
        }
        else {
            console.log("Running...");
        }
        await bluebird_1.default.map(devices, async (device) => {
            const dev = await client.getDevice(device.id);
            // Create development directory on device
            const comCreateDir = await dev.shell("mkdir -p /data/local/tmp/life.evam.hydras/component/");
            await new bluebird_1.default((resolve, reject) => {
                comCreateDir.on('end', () => {
                    console.log("Created local dir");
                    resolve();
                });
                comCreateDir.on('error', (e) => {
                    console.error("Failed to create local dir");
                    reject(e);
                });
            });
            // Push build directory
            if (!fs_1.default.existsSync('build/.')) {
                console.error("No build directory found, make sure to run 'npm run build'.");
                return;
            }
            (0, glob_1.default)("build/**", (er, files) => {
                files.forEach(async (file) => {
                    if (fs_1.default.lstatSync(file).isDirectory()) {
                        const fileOnDevice = file.replace("build", "");
                        console.log(`Pushing ${fileOnDevice}`);
                        const comCreateDir = await dev.shell(`mkdir -p /data/local/tmp/life.evam.hydras/dev/${fileOnDevice}`);
                        await new bluebird_1.default((resolve, reject) => {
                            comCreateDir.on('error', (e) => {
                                console.error(`Failed to create ${file}`);
                                reject(e);
                            });
                        });
                    }
                    else {
                        const fileOnDevice = file.replace("build", "");
                        console.log(`Pushing ${fileOnDevice}`);
                        const comPush = await dev.push(file, `/data/local/tmp/life.evam.hydras/dev/${fileOnDevice}`);
                        await new bluebird_1.default((resolve, reject) => {
                            comPush.on('error', (e) => {
                                console.error(`Failed pushing ${file}`);
                                reject(e);
                            });
                        });
                    }
                });
            });
            // Hot reload trigger
            const comHotReload = await dev.shell("echo r >> /data/local/tmp/.evam.stamp.txt");
            await new bluebird_1.default((resolve, reject) => {
                comHotReload.on('error', (e) => {
                    console.error("Failed to hot reload");
                    reject(e);
                });
            });
        });
    }
    catch (e) {
        console.error(e);
        (0, bluebird_1.reject)(e);
    }
};
run()
    .then(() => { console.log("Done"); })
    .catch((e) => { console.error(`Failed: ${e}`); });
//# sourceMappingURL=wrapper.js.map